LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
WrongJavaVersionException Exception Referencepublished

indicates that an operation involving Java (probably executing Java code) failed due to a wrong Java version. More...

`import"WrongJavaVersionException.idl";`

Inheritance diagram for WrongJavaVersionException:

## Public Attributes
string | LowestSupportedVersion
| contains the lowest Java version for which the operation would succeed, or is left empty if this is unknown. More...
string | HighestSupportedVersion
| contains the highest Java version for which the operation would succeed, or is left empty if this is unknown. More...
string | DetectedVersion
| contains the Java version that has been detected, or is left empty if this is unknown. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

indicates that an operation involving Java (probably executing Java code) failed due to a wrong Java version.

## Member Data Documentation

string DetectedVersion

contains the Java version that has been detected, or is left empty if this is unknown.

string HighestSupportedVersion

contains the highest Java version for which the operation would succeed, or is left empty if this is unknown.

string LowestSupportedVersion

contains the lowest Java version for which the operation would succeed, or is left empty if this is unknown.

The documentation for this exception was generated from the following file:

- com/sun/star/java/WrongJavaVersionException.idl